appender_type_syslog.h(3)

NAME
appender_type_syslog.h - Log4c syslog(3) appender interface.

SYNOPSIS

#include <log4c/defs.h>
#include <log4c/appender.h>

  Variables

__LOG4C_BEGIN_DECLS const log4c_appender_type_t log4c_appender_type_syslog

Detailed Description

Log4c syslog(3) appender interface.

The syslog appender uses the syslog(3) interface for logging. The log4c priorities are mapped to the syslog priorities and the appender name is used as a syslog identifier. 1 default syslog appender is defined: 'syslog'.

The following examples shows how to define and use syslog appenders.

log4c_appender_t* myappender;

myappender = log4c_appender_get("myappender");
log4c_appender_set_type(myappender, &log4c_appender_type_syslog);

Variable Documentation

  __LOG4C_BEGIN_DECLS const log4c_appender_type_t log4c_appender_type_syslog
Syslog appender type definition.

This should be used as a parameter to the log4c_appender_set_type() routine to set the type of the appender.

Author

Generated automatically by Doxygen for log4c from the source code.